GNU bug report logs - #44448
27.1; Strange inteference between timer, modeline/header-line and buffer position in window

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Amai Kinono <amaikinono@HIDDEN>; dated Wed, 4 Nov 2020 16:53:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Removed tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Removed tag(s) fixed. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
bug No longer marked as fixed in versions 27.2 and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 44448 <at> debbugs.gnu.org:


Received: (at 44448) by debbugs.gnu.org; 5 Feb 2021 13:44:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 05 08:44:28 2021
Received: from localhost ([127.0.0.1]:43211 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l81PP-0004Hg-4s
	for submit <at> debbugs.gnu.org; Fri, 05 Feb 2021 08:44:28 -0500
Received: from quimby.gnus.org ([95.216.78.240]:41730)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1l81PO-0004HQ-01
 for 44448 <at> debbugs.gnu.org; Fri, 05 Feb 2021 08:44:26 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=8+nkSfnrr+66zP4LV8vdla/UHRfBnpCTWSwwdofcBlY=; b=hjCfq24FAAkrEjIqq5kw6hnCpY
 Tw4GtotNvjT54STI1PyI2HFTlIlbTupl4PpeApdujyzmuDbnF6eH+KVAhF+bdES+aFZBIiY4OOSnv
 qhiqMmZYWPFG06krNd86sEWUOUU5Sgc26bb/6w4G5wf8j2BPzUmmIPdzRvRqVsXyxP+k=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1l81PF-00032s-1L; Fri, 05 Feb 2021 14:44:19 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Amai Kinono <amaikinono@HIDDEN>
Subject: Re: bug#44448:
References: <CAPu3fz3qu44sRY4-jSYbfS7o1T3tU5jME=Vrvy0Wrdit+XbNpg@HIDDEN>
 <CAPu3fz0HAKXaoaOLw4P8mM_JCM5mTiQw_ZWQ_CDJBTfAEfyiNQ@HIDDEN>
X-Now-Playing: =?utf-8?Q?Gar=C3=A7ons's?= _Re-Bop (Electronique)_: "Re-Bop
 (Electronique)"
Date: Fri, 05 Feb 2021 14:44:15 +0100
In-Reply-To: <CAPu3fz0HAKXaoaOLw4P8mM_JCM5mTiQw_ZWQ_CDJBTfAEfyiNQ@HIDDEN>
 (Amai Kinono's message of "Fri, 5 Feb 2021 21:42:25 +0800")
Message-ID: <87o8gyfx3k.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Amai Kinono <amaikinono@HIDDEN> writes: > I'm on Emacs
 28 now. The problem can still be reproduced, just the > chance becomes lower.
 Maybe it's appropriate to reopen this. OK; reopening. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 44448
Cc: 44448 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Amai Kinono <amaikinono@HIDDEN> writes:

> I'm on Emacs 28 now. The problem can still be reproduced, just the
> chance becomes lower. Maybe it's appropriate to reopen this.

OK; reopening.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44448; Package emacs. Full text available.

Message received at 44448 <at> debbugs.gnu.org:


Received: (at 44448) by debbugs.gnu.org; 5 Feb 2021 13:42:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 05 08:42:44 2021
Received: from localhost ([127.0.0.1]:43200 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l81Nk-0004EC-3d
	for submit <at> debbugs.gnu.org; Fri, 05 Feb 2021 08:42:44 -0500
Received: from mail-wm1-f48.google.com ([209.85.128.48]:53569)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <amaikinono@HIDDEN>) id 1l81Ni-0004Dy-Pl
 for 44448 <at> debbugs.gnu.org; Fri, 05 Feb 2021 08:42:43 -0500
Received: by mail-wm1-f48.google.com with SMTP id j11so6046189wmi.3
 for <44448 <at> debbugs.gnu.org>; Fri, 05 Feb 2021 05:42:42 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=OtAbSQf2wpwAB4D1qrSnOe2AZnEUNWfUZAVjAecZOZ8=;
 b=ihQFzAdpQ3Yk7jeE85GQHet8rb2xWUaZ83nCAv645P6V36PJ+chr4W4oqnSqv1Aknq
 LnEhwN2FJUcPavJYhmnO3X2VtNdJ6ZOPPYZs0JU15lmyUiKGGA9iXhOpKkyn4aCNZPzr
 Nddm0y6xGMiFJOGIRmI27JwWYgNpOO4L6ZpZFKCEF8+J9IrRbgt2zuaKhJu3xlMKHmno
 G/CgRBUM+wMBZHHl1+LkpktVGbZrrRC4667wk8U99+1KveUyBiR1kBEHQ5yx+SUYWY0+
 kLuuwh2l4sMzcgRkoHmVYK+n8rckIU4F+Y35u90jHsWtB3KzcHVJ4h4Jm21Ne0FY/BV6
 NGug==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=OtAbSQf2wpwAB4D1qrSnOe2AZnEUNWfUZAVjAecZOZ8=;
 b=OQlOUk8tVATfQ0AysbzZqjRC7dryFgApCz7vlzKOI1oItze2ctYW0ZXPFtRRlvTgJI
 Tr2Rgw5aa0Jkn+8Fk3C7Ivm33Rj9Vd3QQ4or0DGRv36sVl/gJ0x9Tk+SrN0dkvRMM1fi
 yOn0CmjadKHMZiJtGcF9Lv7yfuQMYtgvJ1b3n3qLVtvFxNeDAe3pU9AiG+mtThs+0mj1
 e9ifjZ7acSPrtRYOqJCiGIjsCmZbBTE+3kczqElDZbdBXmn+plsc/7SdjBWjIuk6Yd8H
 oNxvEOkQi8i50vgWzJ5qwZXvsz60PlewbXn7yruH9G9BIGEOWE/nOgXmf+yOEXNaG6v2
 o0rw==
X-Gm-Message-State: AOAM531z2b8aWfnAQmLz0FF8ALIReBZQbRgk8f73bppcRcmvRgU+ikdA
 qVBOoMh274XJC4AL6rPeBpB8GDTZe3rgIUk7iVQWAwvSf63IAQ==
X-Google-Smtp-Source: ABdhPJw/P7o8UWiiBwQzxDbdFgr6o7+QSgPO2n+Hfr2XztCFT6vUgDO+PH31Mg6yBPEatXA8QrlbuuwsSOrFIfFZJ4M=
X-Received: by 2002:a1c:9d4c:: with SMTP id g73mr3558196wme.105.1612532556646; 
 Fri, 05 Feb 2021 05:42:36 -0800 (PST)
MIME-Version: 1.0
From: Amai Kinono <amaikinono@HIDDEN>
Date: Fri, 5 Feb 2021 21:42:25 +0800
Message-ID: <CAPu3fz0HAKXaoaOLw4P8mM_JCM5mTiQw_ZWQ_CDJBTfAEfyiNQ@HIDDEN>
Subject: 
To: 44448 <at> debbugs.gnu.org
Content-Type: multipart/alternative; boundary="0000000000003a55eb05ba96fe91"
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  I'm on Emacs 28 now. The problem can still be reproduced,
 just the chance becomes lower. Maybe it's appropriate to reopen this. I've
 found some factors that seem to increase the chance to reproduce, so here's
 a new recipe: 
 Content analysis details:   (2.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (amaikinono[at]gmail.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.128.48 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.128.48 listed in list.dnswl.org]
 0.0 HTML_MESSAGE           BODY: HTML included in message
 2.0 BLANK_SUBJECT          Subject is present but empty
X-Debbugs-Envelope-To: 44448
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

--0000000000003a55eb05ba96fe91
Content-Type: text/plain; charset="UTF-8"

I'm on Emacs 28 now. The problem can still be reproduced, just the
chance becomes lower. Maybe it's appropriate to reopen this.

I've found some factors that seem to increase the chance to reproduce,
so here's a new recipe:

- `$ emacs -Q`

- Eval this:

  (run-with-timer 0 0.01 (lambda () (setq mode-line-format "hi")))

  Smaller `repeat` value seems to increase the chance. Also notice that
  setting `header-line-format` and `tab-line-format` can both work.

- `M-x delete-other-windows` so we have only one window.

- `C-x C-f` to open a file. I use
  https://github.com/lsof-org/lsof/blob/master/main.c when testing, but
  any file that's long enough should work.

- `M-x split-window-horizontally`, so we have 2 windows viewing the same
  file.

- Shrink the Emacs frame until many lines are not fully displayed. This
  is important. It increases the chance by a lot.

- Scroll one window down to somethere.

- Hold `C-g`, then the window will go to the same position in file as
  the other window. If it doesn't, release `C-g` and hold it again.

In GNU Emacs 28.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.24,
cairo version 1.17.4)
 of 2021-02-05 built on kino-pc2
Repository revision: 9730575f3a2599be0a4f9c3d1ef5321bf1294e93
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12010000
System Description: Manjaro Linux

Configured using:
 'configure --prefix=/usr --sysconfdir=/etc --libexecdir=/usr/lib
 --localstatedir=/var --mandir=/usr/share/man --with-gameuser=:games
 --with-sound=alsa --with-modules --without-gconf --without-gsettings
 --enable-link-time-optimization --with-x-toolkit=gtk3 --without-xaw3d
 --without-compress-install 'CFLAGS=-march=x86-64 -mtune=generic -O2
 -pipe -fno-plt -flto -fuse-linker-plugin -flto -fuse-linker-plugin'
 CPPFLAGS=-D_FORTIFY_SOURCE=2
 LDFLAGS=-Wl,-O1,--sort-common,--as-needed,-z,relro,-z,now'

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM HARFBUZZ JPEG JSON LCMS2
LIBOTF LIBSYSTEMD LIBXML2 M17N_FLT MODULES NOTIFY INOTIFY PDUMPER PNG
RSVG SOUND THREADS TIFF TOOLKIT_SCROLL_BARS X11 XDBE XIM XPM GTK3 ZLIB

Important settings:
  value of $LC_MONETARY: zh_CN.UTF-8
  value of $LC_NUMERIC: zh_CN.UTF-8
  value of $LC_TIME: zh_CN.UTF-8
  value of $LANG: zh_CN.utf8
  value of $XMODIFIERS: @im=fcitx
  locale-coding-system: utf-8-unix

Major mode: C/*l

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t
  abbrev-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc puny dired dired-loaddefs
rfc822 mml mml-sec epa derived epg epg-config gnus-util rmail
rmail-loaddefs auth-source cl-seq eieio eieio-core cl-macs
eieio-loaddefs password-cache json map text-property-search seq byte-opt
gv bytecomp byte-compile cconv mm-decode mm-bodies mm-encode mail-parse
rfc2231 mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045
ietf-drums mm-util mail-prsvr mail-utils vc-git diff-mode easy-mmode
cc-mode cc-fonts easymenu cc-guess cc-menus cc-cmds cc-styles cc-align
cc-engine cc-vars cc-defs time-date subr-x cl-loaddefs cl-lib china-util
iso-transl tooltip eldoc electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel term/x-win x-win term/common-win x-dnd tool-bar
dnd fontset image regexp-opt fringe tabulated-list replace newcomment
text-mode elisp-mode lisp-mode prog-mode register page tab-bar menu-bar
rfn-eshadow isearch timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core term/tty-colors frame minibuffer cl-generic
cham georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese composite charscript charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray
cl-preloaded nadvice button loaddefs faces cus-face macroexp files
window text-properties overlay sha1 md5 base64 format env code-pages
mule custom widget hashtable-print-readable backquote threads dbusbind
inotify lcms2 dynamic-setting font-render-setting cairo move-toolbar gtk
x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 85780 7204)
 (symbols 48 9615 1)
 (strings 32 26180 1255)
 (string-bytes 1 967039)
 (vectors 16 16414)
 (vector-slots 8 262420 9066)
 (floats 8 29 56)
 (intervals 56 2112 0)
 (buffers 984 11))

--0000000000003a55eb05ba96fe91
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">I&#39;m on Emacs 28 now. The problem can still be reproduc=
ed, just the<br>chance becomes lower. Maybe it&#39;s appropriate to reopen =
this.<br><br>I&#39;ve found some factors that seem to increase the chance t=
o reproduce,<br>so here&#39;s a new recipe:<br><br>- `$ emacs -Q`<br><br>- =
Eval this:<br><br>=C2=A0 (run-with-timer 0 0.01 (lambda () (setq mode-line-=
format &quot;hi&quot;)))<br><br>=C2=A0 Smaller `repeat` value seems to incr=
ease the chance. Also notice that<br>=C2=A0 setting `header-line-format` an=
d `tab-line-format` can both work.<br><br>- `M-x delete-other-windows` so w=
e have only one window.<br><br>- `C-x C-f` to open a file. I use<br>=C2=A0 =
<a href=3D"https://github.com/lsof-org/lsof/blob/master/main.c" target=3D"_=
blank">https://github.com/lsof-org/lsof/blob/master/main.c</a> when testing=
, but<br>=C2=A0 any file that&#39;s long enough should work.<br><br>- `M-x =
split-window-horizontally`, so we have 2 windows viewing the same<br>=C2=A0=
 file.<br><br>- Shrink the Emacs frame until many lines are not fully displ=
ayed. This<br>=C2=A0 is important. It increases the chance by a lot.<br><br=
>- Scroll one window down to somethere.<br><br>- Hold `C-g`, then the windo=
w will go to the same position in file as<br>=C2=A0 the other window. If it=
 doesn&#39;t, release `C-g` and hold it again.<br><br>In GNU Emacs 28.0.50 =
(build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.24, cairo version 1.17.4)<=
br>=C2=A0of 2021-02-05 built on kino-pc2<br>Repository revision: 9730575f3a=
2599be0a4f9c3d1ef5321bf1294e93<br>Repository branch: master<br>Windowing sy=
stem distributor &#39;The X.Org Foundation&#39;, version 11.0.12010000<br>S=
ystem Description: Manjaro Linux<br><br>Configured using:<br>=C2=A0&#39;con=
figure --prefix=3D/usr --sysconfdir=3D/etc --libexecdir=3D/usr/lib<br>=C2=
=A0--localstatedir=3D/var --mandir=3D/usr/share/man --with-gameuser=3D:game=
s<br>=C2=A0--with-sound=3Dalsa --with-modules --without-gconf --without-gse=
ttings<br>=C2=A0--enable-link-time-optimization --with-x-toolkit=3Dgtk3 --w=
ithout-xaw3d<br>=C2=A0--without-compress-install &#39;CFLAGS=3D-march=3Dx86=
-64 -mtune=3Dgeneric -O2<br>=C2=A0-pipe -fno-plt -flto -fuse-linker-plugin =
-flto -fuse-linker-plugin&#39;<br>=C2=A0CPPFLAGS=3D-D_FORTIFY_SOURCE=3D2<br=
>=C2=A0LDFLAGS=3D-Wl,-O1,--sort-common,--as-needed,-z,relro,-z,now&#39;<br>=
<br>Configured features:<br>ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM=
 HARFBUZZ JPEG JSON LCMS2<br>LIBOTF LIBSYSTEMD LIBXML2 M17N_FLT MODULES NOT=
IFY INOTIFY PDUMPER PNG<br>RSVG SOUND THREADS TIFF TOOLKIT_SCROLL_BARS X11 =
XDBE XIM XPM GTK3 ZLIB<br><br>Important settings:<br>=C2=A0 value of $LC_MO=
NETARY: zh_CN.UTF-8<br>=C2=A0 value of $LC_NUMERIC: zh_CN.UTF-8<br>=C2=A0 v=
alue of $LC_TIME: zh_CN.UTF-8<br>=C2=A0 value of $LANG: zh_CN.utf8<br>=C2=
=A0 value of $XMODIFIERS: @im=3Dfcitx<br>=C2=A0 locale-coding-system: utf-8=
-unix<br><br>Major mode: C/*l<br><br>Minor modes in effect:<br>=C2=A0 toolt=
ip-mode: t<br>=C2=A0 global-eldoc-mode: t<br>=C2=A0 electric-indent-mode: t=
<br>=C2=A0 mouse-wheel-mode: t<br>=C2=A0 tool-bar-mode: t<br>=C2=A0 menu-ba=
r-mode: t<br>=C2=A0 file-name-shadow-mode: t<br>=C2=A0 global-font-lock-mod=
e: t<br>=C2=A0 font-lock-mode: t<br>=C2=A0 blink-cursor-mode: t<br>=C2=A0 a=
uto-composition-mode: t<br>=C2=A0 auto-encryption-mode: t<br>=C2=A0 auto-co=
mpression-mode: t<br>=C2=A0 line-number-mode: t<br>=C2=A0 transient-mark-mo=
de: t<br>=C2=A0 abbrev-mode: t<br><br>Load-path shadows:<br>None found.<br>=
<br>Features:<br>(shadow sort mail-extr emacsbug message rmc puny dired dir=
ed-loaddefs<br>rfc822 mml mml-sec epa derived epg epg-config gnus-util rmai=
l<br>rmail-loaddefs auth-source cl-seq eieio eieio-core cl-macs<br>eieio-lo=
addefs password-cache json map text-property-search seq byte-opt<br>gv byte=
comp byte-compile cconv mm-decode mm-bodies mm-encode mail-parse<br>rfc2231=
 mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045<br>ietf-drums mm-=
util mail-prsvr mail-utils vc-git diff-mode easy-mmode<br>cc-mode cc-fonts =
easymenu cc-guess cc-menus cc-cmds cc-styles cc-align<br>cc-engine cc-vars =
cc-defs time-date subr-x cl-loaddefs cl-lib china-util<br>iso-transl toolti=
p eldoc electric uniquify ediff-hook vc-hooks<br>lisp-float-type mwheel ter=
m/x-win x-win term/common-win x-dnd tool-bar<br>dnd fontset image regexp-op=
t fringe tabulated-list replace newcomment<br>text-mode elisp-mode lisp-mod=
e prog-mode register page tab-bar menu-bar<br>rfn-eshadow isearch timer sel=
ect scroll-bar mouse jit-lock font-lock<br>syntax facemenu font-core term/t=
ty-colors frame minibuffer cl-generic<br>cham georgian utf-8-lang misc-lang=
 vietnamese tibetan thai tai-viet lao<br>korean japanese eucjp-ms cp51932 h=
ebrew greek romanian slovak czech<br>european ethiopic indian cyrillic chin=
ese composite charscript charprop<br>case-table epa-hook jka-cmpr-hook help=
 simple abbrev obarray<br>cl-preloaded nadvice button loaddefs faces cus-fa=
ce macroexp files<br>window text-properties overlay sha1 md5 base64 format =
env code-pages<br>mule custom widget hashtable-print-readable backquote thr=
eads dbusbind<br>inotify lcms2 dynamic-setting font-render-setting cairo mo=
ve-toolbar gtk<br>x-toolkit x multi-tty make-network-process emacs)<br><br>=
Memory information:<br>((conses 16 85780 7204)<br>=C2=A0(symbols 48 9615 1)=
<br>=C2=A0(strings 32 26180 1255)<br>=C2=A0(string-bytes 1 967039)<br>=C2=
=A0(vectors 16 16414)<br>=C2=A0(vector-slots 8 262420 9066)<br>=C2=A0(float=
s 8 29 56)<br>=C2=A0(intervals 56 2112 0)<br>=C2=A0(buffers 984 11))</div>

--0000000000003a55eb05ba96fe91--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44448; Package emacs. Full text available.
bug unarchived. Request was from Amai Kinono <amaikinono@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
bug archived. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.
bug marked as fixed in version 27.2, send any further explanations to 44448 <at> debbugs.gnu.org and Amai Kinono <amaikinono@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) fixed. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 44448 <at> debbugs.gnu.org:


Received: (at 44448) by debbugs.gnu.org; 7 Dec 2020 16:45:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 07 11:45:16 2020
Received: from localhost ([127.0.0.1]:55289 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kmJdU-0006MC-6A
	for submit <at> debbugs.gnu.org; Mon, 07 Dec 2020 11:45:16 -0500
Received: from quimby.gnus.org ([95.216.78.240]:39456)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kmJdS-0006FC-S0
 for 44448 <at> debbugs.gnu.org; Mon, 07 Dec 2020 11:45:15 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=gldhWb9lL2hME6SLqsKI1F9N6ruaK0hKMSvJpwtF+D0=; b=pGs3CJ/GbKUQb8XTIj7ARfTQX8
 R1eDtUsiRMNJUNAszAFeUJfXgB1w/BdsljCIlEtxSe49YN8JYlyZ9ltxAEwMozH9ITCSxbAGLBi0a
 mgi3Um1ZBLKkqNR3fTqEeNRvYCew8aLWbCHremXjffsqsrB2eB4FHj8fbkeXOMr5Wgqw=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kmJdK-0007oR-Gi; Mon, 07 Dec 2020 17:45:08 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#44448: 27.1; Strange inteference between timer,
 modeline/header-line and buffer position in window
References: <CAPu3fz3qu44sRY4-jSYbfS7o1T3tU5jME=Vrvy0Wrdit+XbNpg@HIDDEN>
 <83d00sc25e.fsf@HIDDEN>
X-Now-Playing: Alva Noto's _Xerrox Vol. 04_: "Xerrox Calypsoid 2"
Date: Mon, 07 Dec 2020 17:45:05 +0100
In-Reply-To: <83d00sc25e.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 04 Nov
 2020 22:12:13 +0200")
Message-ID: <877dptefam.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Eli Zaretskii <eliz@HIDDEN> writes: >> Then pressing `C-g`
 sometimes scrolls the buffer in this window to the >> position in the other
 window. > > Thanks, I hope I fixed this now on the emacs-27 branch. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 44448
Cc: 44448 <at> debbugs.gnu.org, Amai Kinono <amaikinono@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> Then pressing `C-g` sometimes scrolls the buffer in this window to the
>> position in the other window.
>
> Thanks, I hope I fixed this now on the emacs-27 branch.

There was no response, so I'm closing this bug report.  If the problem
still exists, please respond to this email and we'll reopen the bug
report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44448; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 44448 <at> debbugs.gnu.org:


Received: (at 44448) by debbugs.gnu.org; 4 Nov 2020 20:12:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 04 15:12:26 2020
Received: from localhost ([127.0.0.1]:50692 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kaP8s-00068L-IK
	for submit <at> debbugs.gnu.org; Wed, 04 Nov 2020 15:12:26 -0500
Received: from eggs.gnu.org ([209.51.188.92]:42222)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1kaP8p-000685-PD
 for 44448 <at> debbugs.gnu.org; Wed, 04 Nov 2020 15:12:24 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:46487)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1kaP8k-00052z-Gk; Wed, 04 Nov 2020 15:12:18 -0500
Received: from [176.228.60.248] (port=1229 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1kaP8j-0001fQ-PK; Wed, 04 Nov 2020 15:12:18 -0500
Date: Wed, 04 Nov 2020 22:12:13 +0200
Message-Id: <83d00sc25e.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Amai Kinono <amaikinono@HIDDEN>
In-Reply-To: <CAPu3fz3qu44sRY4-jSYbfS7o1T3tU5jME=Vrvy0Wrdit+XbNpg@HIDDEN>
 (message from Amai Kinono on Thu, 5 Nov 2020 00:48:59 +0800)
Subject: Re: bug#44448: 27.1;
 Strange inteference between timer, modeline/header-line and buffer
 position in window
References: <CAPu3fz3qu44sRY4-jSYbfS7o1T3tU5jME=Vrvy0Wrdit+XbNpg@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 44448
Cc: 44448 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Amai Kinono <amaikinono@HIDDEN>
> Date: Thu, 5 Nov 2020 00:48:59 +0800
> 
> When:
> 
> - 2 windows open the same file
> - There's a timer dealing with modeline or header-line format
> 
> Then pressing `C-g` sometimes scrolls the buffer in this window to the
> position in the other window.

Thanks, I hope I fixed this now on the emacs-27 branch.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44448; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 4 Nov 2020 16:52:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 04 11:52:52 2020
Received: from localhost ([127.0.0.1]:50443 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kaM1j-0007Ue-Vo
	for submit <at> debbugs.gnu.org; Wed, 04 Nov 2020 11:52:52 -0500
Received: from lists.gnu.org ([209.51.188.17]:33188)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <amaikinono@HIDDEN>) id 1kaLyM-0007Oi-Qi
 for submit <at> debbugs.gnu.org; Wed, 04 Nov 2020 11:49:23 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:52472)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <amaikinono@HIDDEN>)
 id 1kaLyG-0000Al-Lz
 for bug-gnu-emacs@HIDDEN; Wed, 04 Nov 2020 11:49:19 -0500
Received: from mail-wr1-x443.google.com ([2a00:1450:4864:20::443]:46235)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <amaikinono@HIDDEN>)
 id 1kaLyD-00035I-Q2
 for bug-gnu-emacs@HIDDEN; Wed, 04 Nov 2020 11:49:16 -0500
Received: by mail-wr1-x443.google.com with SMTP id k10so21467010wrw.13
 for <bug-gnu-emacs@HIDDEN>; Wed, 04 Nov 2020 08:49:12 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=1l1pytgclTAsXwIAs7t44HXh7RI2kFX+gBlkNcteafg=;
 b=eXbfkLZaG8sQ4i8V7Iz3OvcMi8DEEpyZ/t8jctmnehPShYmpcauBvnqn6IFCnEAqcA
 ThlkHiP6eDeZsHeMWwb5adZm416TONf0S7Pdujh+qWpG6RI9HBDOk2xGbOfKRs2yJfax
 quM0FLmGcECmV6IzfZOXlEGd0dGM7foARig7UAG3wK31YgCQ7QF/mhXrPhC+MHWvPCu9
 1tta6V7f1JNrPBW/QBT0fxnTfK6hX8aR2fyvY2rGQgy7CzK5fANxbrHB9pI60DT/EJGv
 2hGayskcjuLdXBo13bJhZdiSXadDHZxakcH1Qh/zRYDbHyL7ecVzep09UrlMUHJMsOW6
 cR3w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=1l1pytgclTAsXwIAs7t44HXh7RI2kFX+gBlkNcteafg=;
 b=rrzJHZF9hObWW7wMVyinkGhLFjhxzL7S9fSzRzpCNw7lcPF8yb13ouTpSfPh6tSQ3l
 fMssw8NPHturphe1wvoli35vHhop+pyeCYW07x5cLRu5i8Qj82HWY8pYPQxppbsbZRE7
 +YA/asCOrPpI5qU1p7OYnwKH9BpUTIKzXaAnwP26eqdv9RIneM7cbRXwOjl+9TI0bfzz
 ExlSrgmH4zt6oKSC53w8EwIuii3j5xkwe0wb+WoTI942SWy2rWQOmwOtciDFsfAT3H+P
 H8m6zB2s9yHwpzJ67bLYCIWwiD0xriTKZOnnwp5rWz+UyunVIRRywA68TXNvm+/QNwzt
 0nsw==
X-Gm-Message-State: AOAM530dz1b/SPxuLhduSvVVsWVlUGCT2RUFJE6viF6JOUdryXPozkOR
 LAgl0hk6Ip1VPh1ksWlpTk/8jfruMuRSeKBD3UdSG7v2vDD3tQ==
X-Google-Smtp-Source: ABdhPJzQPhCcR+W6Dz3H5OMkNT8iuqRQscG8B6d1G8q3RvIZtIJJRfERlCQ0ASne4+u4LxyXL97OuCh636wJanlU2GI=
X-Received: by 2002:adf:8b15:: with SMTP id n21mr34727218wra.313.1604508551008; 
 Wed, 04 Nov 2020 08:49:11 -0800 (PST)
MIME-Version: 1.0
From: Amai Kinono <amaikinono@HIDDEN>
Date: Thu, 5 Nov 2020 00:48:59 +0800
Message-ID: <CAPu3fz3qu44sRY4-jSYbfS7o1T3tU5jME=Vrvy0Wrdit+XbNpg@HIDDEN>
Subject: 27.1; Strange inteference between timer, modeline/header-line and
 buffer position in window
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary="00000000000038d6c305b34ac2c6"
Received-SPF: pass client-ip=2a00:1450:4864:20::443;
 envelope-from=amaikinono@HIDDEN; helo=mail-wr1-x443.google.com
X-detected-operating-system: by eggs.gnu.org: No matching host in p0f cache.
 That's all we know.
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 HTML_MESSAGE=0.001, RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Wed, 04 Nov 2020 11:52:50 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--00000000000038d6c305b34ac2c6
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

When:

- 2 windows open the same file
- There's a timer dealing with modeline or header-line format

Then pressing `C-g` sometimes scrolls the buffer in this window to the
position in the other window.

Here's a recipe for reproduce:

- `$ emacs -Q`

- Eval this:
  ```
  (run-with-timer 0 0.1 (lambda () (setq mode-line-format "hi")))
  ```

- `M-x delete-other-windows` so we have only one window.

- `C-x C-f` to open a file. I use
  <https://github.com/lsof-org/lsof/blob/master/main.c> when testing,
  but any file that's long enough should work.

- `M-x split-window-horizontally`, so we have 2 windows viewing the same
  file. For some reason, splitting vertically doesn't trigger the
  problem.

- Scroll one window down to somethere.

- Hold `C-g` or press it repeatedly and quickly, then the window will go
  to the same position in file as the other window.

You can do the same with `header-line-format`, it also has the problem.
Using `run-with-idle-timer` instead seems doesn't have the problem.

See also <https://github.com/kiennq/emacs-mini-modeline/issues/45> where
I report the same problem. I believe another package that's influenced
by this is <https://github.com/purcell/mode-line-bell>.

--- Info generated by `report-emacs-bug` ---

In GNU Emacs 27.1 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.22,
cairo version 1.17.3)
 of 2020-08-29 built on juergen
Windowing system distributor 'The X.Org Foundation', version 11.0.12009000
System Description: Manjaro Linux

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
Mark set
[nil 24482 55348 93490 0.1 (closure (t) nil (setq mode-line-format "hi"))
nil nil 920000]
You can run the command =E2=80=98split-window-horizontally=E2=80=99 with M-=
x sp-h RET
Quit [22 times]
Quit
Configured using:
 'configure --prefix=3D/usr --sysconfdir=3D/etc --libexecdir=3D/usr/lib
 --localstatedir=3D/var --with-x-toolkit=3Dgtk3 --with-xft --with-wide-int
 --with-modules --with-cairo --with-harfbuzz 'CFLAGS=3D-march=3Dx86-64
 -mtune=3Dgeneric -O2 -pipe -fno-plt' CPPFLAGS=3D-D_FORTIFY_SOURCE=3D2
 LDFLAGS=3D-Wl,-O1,--sort-common,--as-needed,-z,relro,-z,now'

Configured features:
XPM JPEG TIFF GIF PNG RSVG CAIRO SOUND GPM DBUS GSETTINGS GLIB NOTIFY
INOTIFY ACL GNUTLS LIBXML2 FREETYPE HARFBUZZ M17N_FLT LIBOTF ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM MODULES THREADS LIBSYSTEMD JSON
PDUMPER LCMS2 GMP

Important settings:
  value of $LC_MONETARY: zh_CN.UTF-8
  value of $LC_NUMERIC: zh_CN.UTF-8
  value of $LC_TIME: zh_CN.UTF-8
  value of $LANG: zh_CN.utf8
  value of $XMODIFIERS: @im=3Dfcitx
  locale-coding-system: utf-8-unix

Major mode: C/*l

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t
  abbrev-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc puny dired dired-loaddefs
format-spec rfc822 mml mml-sec password-cache epa derived epg epg-config
gnus-util rmail rmail-loaddefs text-property-search time-date subr-x seq
byte-opt gv bytecomp byte-compile cconv mm-decode mm-bodies mm-encode
mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail rfc2047
rfc2045 ietf-drums mm-util mail-prsvr mail-utils vc-git diff-mode
easy-mmode cc-mode cc-fonts easymenu cc-guess cc-menus cc-cmds cc-styles
cc-align cc-engine cc-vars cc-defs cl-loaddefs cl-lib china-util tooltip
eldoc electric uniquify ediff-hook vc-hooks lisp-float-type mwheel
term/x-win x-win term/common-win x-dnd tool-bar dnd fontset image
regexp-opt fringe tabulated-list replace newcomment text-mode elisp-mode
lisp-mode prog-mode register page tab-bar menu-bar rfn-eshadow isearch
timer select scroll-bar mouse jit-lock font-lock syntax facemenu
font-core term/tty-colors frame minibuffer cl-generic cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese composite charscript charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray
cl-preloaded nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote threads dbusbind
inotify lcms2 dynamic-setting system-font-setting font-render-setting
cairo move-toolbar gtk x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 75931 7519)
 (symbols 48 8992 1)
 (strings 32 23346 1733)
 (string-bytes 1 858985)
 (vectors 16 14047)
 (vector-slots 8 224399 9036)
 (floats 8 27 38)
 (intervals 56 1440 1)
 (buffers 1000 12))

--00000000000038d6c305b34ac2c6
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">When:<br><br>- 2 windows open the same file<br>- There&#39=
;s a timer dealing with modeline or header-line format<br><br>Then pressing=
 `C-g` sometimes scrolls the buffer in this window to the<br>position in th=
e other window.<br><br>Here&#39;s a recipe for reproduce:<br><br>- `$ emacs=
 -Q`<br><br>- Eval this:<br>=C2=A0 ```<br>=C2=A0 (run-with-timer 0 0.1 (lam=
bda () (setq mode-line-format &quot;hi&quot;)))<br>=C2=A0 ```<br><br>- `M-x=
 delete-other-windows` so we have only one window.<br><br>- `C-x C-f` to op=
en a file. I use<br>=C2=A0 &lt;<a href=3D"https://github.com/lsof-org/lsof/=
blob/master/main.c">https://github.com/lsof-org/lsof/blob/master/main.c</a>=
&gt; when testing,<br>=C2=A0 but any file that&#39;s long enough should wor=
k.<br><br>- `M-x split-window-horizontally`, so we have 2 windows viewing t=
he same<br>=C2=A0 file. For some reason, splitting vertically doesn&#39;t t=
rigger the<br>=C2=A0 problem.<br><br>- Scroll one window down to somethere.=
<br><br>- Hold `C-g` or press it repeatedly and quickly, then the window wi=
ll go<br>=C2=A0 to the same position in file as the other window.<br><br>Yo=
u can do the same with `header-line-format`, it also has the problem.<br>Us=
ing `run-with-idle-timer` instead seems doesn&#39;t have the problem.<br><b=
r>See also &lt;<a href=3D"https://github.com/kiennq/emacs-mini-modeline/iss=
ues/45">https://github.com/kiennq/emacs-mini-modeline/issues/45</a>&gt; whe=
re<br>I report the same problem. I believe another package that&#39;s influ=
enced<br>by this is &lt;<a href=3D"https://github.com/purcell/mode-line-bel=
l">https://github.com/purcell/mode-line-bell</a>&gt;.<br><br>--- Info gener=
ated by `report-emacs-bug` ---<br><br>In GNU Emacs 27.1 (build 1, x86_64-pc=
-linux-gnu, GTK+ Version 3.24.22, cairo version 1.17.3)<br>=C2=A0of 2020-08=
-29 built on juergen<br>Windowing system distributor &#39;The X.Org Foundat=
ion&#39;, version 11.0.12009000<br>System Description: Manjaro Linux<br><br=
>Recent messages:<br>For information about GNU Emacs and the GNU system, ty=
pe C-h C-a.<br>Mark set<br>[nil 24482 55348 93490 0.1 (closure (t) nil (set=
q mode-line-format &quot;hi&quot;)) nil nil 920000]<br>You can run the comm=
and =E2=80=98split-window-horizontally=E2=80=99 with M-x sp-h RET<br>Quit [=
22 times]<br>Quit<br>Configured using:<br>=C2=A0&#39;configure --prefix=3D/=
usr --sysconfdir=3D/etc --libexecdir=3D/usr/lib<br>=C2=A0--localstatedir=3D=
/var --with-x-toolkit=3Dgtk3 --with-xft --with-wide-int<br>=C2=A0--with-mod=
ules --with-cairo --with-harfbuzz &#39;CFLAGS=3D-march=3Dx86-64<br>=C2=A0-m=
tune=3Dgeneric -O2 -pipe -fno-plt&#39; CPPFLAGS=3D-D_FORTIFY_SOURCE=3D2<br>=
=C2=A0LDFLAGS=3D-Wl,-O1,--sort-common,--as-needed,-z,relro,-z,now&#39;<br><=
br>Configured features:<br>XPM JPEG TIFF GIF PNG RSVG CAIRO SOUND GPM DBUS =
GSETTINGS GLIB NOTIFY<br>INOTIFY ACL GNUTLS LIBXML2 FREETYPE HARFBUZZ M17N_=
FLT LIBOTF ZLIB<br>TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM MODULES THREADS LI=
BSYSTEMD JSON<br>PDUMPER LCMS2 GMP<br><br>Important settings:<br>=C2=A0 val=
ue of $LC_MONETARY: zh_CN.UTF-8<br>=C2=A0 value of $LC_NUMERIC: zh_CN.UTF-8=
<br>=C2=A0 value of $LC_TIME: zh_CN.UTF-8<br>=C2=A0 value of $LANG: zh_CN.u=
tf8<br>=C2=A0 value of $XMODIFIERS: @im=3Dfcitx<br>=C2=A0 locale-coding-sys=
tem: utf-8-unix<br><br>Major mode: C/*l<br><br>Minor modes in effect:<br>=
=C2=A0 tooltip-mode: t<br>=C2=A0 global-eldoc-mode: t<br>=C2=A0 electric-in=
dent-mode: t<br>=C2=A0 mouse-wheel-mode: t<br>=C2=A0 tool-bar-mode: t<br>=
=C2=A0 menu-bar-mode: t<br>=C2=A0 file-name-shadow-mode: t<br>=C2=A0 global=
-font-lock-mode: t<br>=C2=A0 font-lock-mode: t<br>=C2=A0 blink-cursor-mode:=
 t<br>=C2=A0 auto-composition-mode: t<br>=C2=A0 auto-encryption-mode: t<br>=
=C2=A0 auto-compression-mode: t<br>=C2=A0 line-number-mode: t<br>=C2=A0 tra=
nsient-mark-mode: t<br>=C2=A0 abbrev-mode: t<br><br>Load-path shadows:<br>N=
one found.<br><br>Features:<br>(shadow sort mail-extr emacsbug message rmc =
puny dired dired-loaddefs<br>format-spec rfc822 mml mml-sec password-cache =
epa derived epg epg-config<br>gnus-util rmail rmail-loaddefs text-property-=
search time-date subr-x seq<br>byte-opt gv bytecomp byte-compile cconv mm-d=
ecode mm-bodies mm-encode<br>mail-parse rfc2231 mailabbrev gmm-utils mailhe=
ader sendmail rfc2047<br>rfc2045 ietf-drums mm-util mail-prsvr mail-utils v=
c-git diff-mode<br>easy-mmode cc-mode cc-fonts easymenu cc-guess cc-menus c=
c-cmds cc-styles<br>cc-align cc-engine cc-vars cc-defs cl-loaddefs cl-lib c=
hina-util tooltip<br>eldoc electric uniquify ediff-hook vc-hooks lisp-float=
-type mwheel<br>term/x-win x-win term/common-win x-dnd tool-bar dnd fontset=
 image<br>regexp-opt fringe tabulated-list replace newcomment text-mode eli=
sp-mode<br>lisp-mode prog-mode register page tab-bar menu-bar rfn-eshadow i=
search<br>timer select scroll-bar mouse jit-lock font-lock syntax facemenu<=
br>font-core term/tty-colors frame minibuffer cl-generic cham georgian<br>u=
tf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean<br>japanese=
 eucjp-ms cp51932 hebrew greek romanian slovak czech european<br>ethiopic i=
ndian cyrillic chinese composite charscript charprop<br>case-table epa-hook=
 jka-cmpr-hook help simple abbrev obarray<br>cl-preloaded nadvice loaddefs =
button faces cus-face macroexp files<br>text-properties overlay sha1 md5 ba=
se64 format env code-pages mule<br>custom widget hashtable-print-readable b=
ackquote threads dbusbind<br>inotify lcms2 dynamic-setting system-font-sett=
ing font-render-setting<br>cairo move-toolbar gtk x-toolkit x multi-tty mak=
e-network-process emacs)<br><br>Memory information:<br>((conses 16 75931 75=
19)<br>=C2=A0(symbols 48 8992 1)<br>=C2=A0(strings 32 23346 1733)<br>=C2=A0=
(string-bytes 1 858985)<br>=C2=A0(vectors 16 14047)<br>=C2=A0(vector-slots =
8 224399 9036)<br>=C2=A0(floats 8 27 38)<br>=C2=A0(intervals 56 1440 1)<br>=
=C2=A0(buffers 1000 12))<br></div>

--00000000000038d6c305b34ac2c6--




Acknowledgement sent to Amai Kinono <amaikinono@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#44448; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 1 Mar 2021 15:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.